FUNCTION::TASK_UTIME(3stap)

NAME
function::task_utime - User time of the task

SYNOPSIS

1) task_utime:long()

2) task_utime:long(tid:long)

ARGUMENTS

tid
    Thread id of the given task

DESCRIPTION

1) Returns the user time of the current task in cputime. Does not include any time used by other tasks in this process, nor does it include any time of the children of this task.

2) Returns the user time of the given task in cputime, or zero if the task doesn't exist. Does not include any time used by other tasks in this process, nor does it include any time of the children of this task.

SEE ALSO
tapset::task_time(3stap)